<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('dependents', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->tinyInteger('relation'); // RelationEnum
            $table->date('dob')->nullable();
            $table->string('phone', 20)->nullable();
            $table->tinyInteger('status')->default(1); // MemberStatusEnum: Pending
            $table->foreignId('assigned_member_id')->constrained('members')->cascadeOnDelete();
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('dependents');
    }
};
